Bug 1249344 - Can't create disk within cinder volume provider
Can't create disk within cinder volume provider
Status: CLOSED NOTABUG
Product: oVirt
Classification: Community
Component: ovirt-engine-webadmin (Show other bugs)
3.6
x86_64 Linux
unspecified Severity medium
: m1
: 3.6.0
Assigned To: Daniel Erez
Ori Gofen
storage
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-01 16:56 EDT by Alexey Vyrodov
Modified: 2016-03-10 01:12 EST (History)
11 users (show)

See Also:
Fixed In Version: 3.6.0-10
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-08-25 07:12:19 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Storage
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
PrintScreen (252.90 KB, image/jpeg)
2015-08-02 17:41 EDT, Alexey Vyrodov
no flags Details
EngineLog (491.93 KB, application/x-gzip)
2015-08-02 17:44 EDT, Alexey Vyrodov
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 44902 master MERGED webadmin: formatting VmDiskPopupWidget.ui.xml Never
oVirt gerrit 44903 master MERGED webadmin: tool-tip for missing cinder volume types Never
oVirt gerrit 44946 ovirt-engine-3.6 MERGED webadmin: tool-tip for missing cinder volume types Never

  None (edit)
Description Alexey Vyrodov 2015-08-01 16:56:02 EDT
Description of problem:


I installed ovirt 3.6 master-snapshot and Openstack Juno (KeyStone, Glance and Cinder) with Ceph rbd support.
I connected to cinder volume provider in ovirt admin portal. But i can't create disk within cinder volume provider from ovirt admin portal. I can only create volume in cinder directly and then registred one in Ovirt admin portal. VM works fine. 
Function cloning of VM with disks on cinder volume provider also doesn't worked.
Comment 1 Daniel Erez 2015-08-02 11:20:52 EDT
Hi Alexey,

* Can you please attach the relevant engine and vdsm logs?

* Which error do you get when trying to create a disk?

* Are you trying to create a disk from 'VMs -> Disks' sub-tab or from Disks main-tab?
Comment 2 Alexey Vyrodov 2015-08-02 17:41:48 EDT
Created attachment 1058607 [details]
PrintScreen

Hi Daniel,
From any tabs. 
There is no error. I can't choose volume type. Without volume type disk can not be created. See PrintScreen.
oVirt Engine Version: 3.6.0-0.0.master.20150721112911.gite6eee13.el7.centos
Comment 3 Alexey Vyrodov 2015-08-02 17:44:50 EDT
Created attachment 1058608 [details]
EngineLog
Comment 4 Daniel Erez 2015-08-03 02:38:14 EDT
(In reply to Alexey Vyrodov from comment #2)
> Created attachment 1058607 [details]
> PrintScreen
> 
> Hi Daniel,
> From any tabs. 
> There is no error. I can't choose volume type. Without volume type disk can
> not be created. See PrintScreen.
> oVirt Engine Version: 3.6.0-0.0.master.20150721112911.gite6eee13.el7.centos

You need to create a volume type first and associate it with a ceph backend. 
E.g. from horizon: 
* Admin -> Volumes -> Volume Types -> Create Volume Type
* On the new Volume Type -> View Extra Specs -> Create Key/Value -> volume_backend_name/ceph
Comment 5 Daniel Erez 2015-08-17 04:53:17 EDT
Added a tool-tip next to 'Volume Type' select-box in case of an empty list (for explaining that 'Volume Types' should be manually created and configured in Cinder).

Note You need to log in before you can comment on or make changes to this bug.